// Generated by https://quicktype.io
export enum SegmentType {
  GROUND = 'GROUND',
  AIRPORT = 'AIRPORT',
  FLIGHT = 'FLIGHT',
}

export interface Itinerary {
  itinerary_id:     string;
  traveler:         Traveler;
  origin_iata:      string;
  destination_iata: string;
  segments:         Segment[];
}

export interface Segment {
  segment_id:   string;
  type:         SegmentType;
  origin:       Place;
  departure:    number;
  destination?: Place;
  detail?:      Detail;
}

export interface Place {
  type:  SegmentType;
  value: string;
}

export interface Detail {
  busyness_index?: number;
  boarding?:       number;
  flight_number?:  string;
  gate?:           string;
  seat?:           string;
}

export interface Traveler {
  first_name:  string;
  middle_name: string;
  last_name:   string;
}
